* {
    box-sizing: border-box;
}

html, body {
    height: 100%;
}

body {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    margin: 0;
    display: flex;
    flex-direction: column;
}

.banner {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.5rem;
    background-image: radial-gradient(#272727, #201A23);
}

.banner img {
    height: 6rem;
    max-width: 90%;
    border-color: #D4D2D5;
    border-width: 0.5rem;
    border-style: double;
}

nav {
    background-color: #2E2532;
}

nav ul {
    display: flex;
    justify-content: center;
    margin: 0;
    padding: 0;
    list-style: none;
    gap: 0rem;
    flex-direction: column;
    align-items: center;
}

nav li {
    width: 100%;
}

nav a {
    display: block;
    font-size: 1rem;
    text-decoration: none;
    text-transform: uppercase;
    text-align: center;
    color: #D4D2D5;
    background-color: #2E2532;
    padding: 0.875rem;
    border-color: #2E2532;
    border-style: solid none;
    border-width: 0.125rem 0;
    width: 100%;
}

nav a:hover, nav a:active {
    background-color: #3C2432;
    border-color: #3C2432;
}

nav a[aria-current="page"] {
    background-color: #3C2432;
    border-color: #3C2432;
    border-bottom-color: #D4D2D5;
}

main {
    flex-grow: 1;
    padding: 2rem;
    background-color: #1D1522;
    color: #D8CBC7;
}

article {
    border: 0.125rem solid #D8CBC7;
    padding: 1rem;
    margin: 0.5rem;
}

footer {
    text-align: center;
    font-size: 0.75rem;
    color: #D4D2D5;
    background-color: #2E2532;
}

@media (min-width: 600px) {
    nav ul {
        gap: 1.5rem;
        flex-direction: row;
    }

    nav li {
        width: auto;
    }

    nav a {
        padding: 0.5rem;
    }
}
